Security update for gnutls (important)

2017-02-01T12:09:23
ID SUSE-SU-2017:0348-1
Type suse
Reporter Suse
Modified 2017-02-01T12:09:23

Description

This update for gnutls fixes the following security issues:

  • GnuTLS could have crashed when processing maliciously crafted OpenPGP certificates (GNUTLS-SA-2017-2, bsc#1018832, CVE-2017-5335, CVE-2017-5337, CVE-2017-5336)
  • GnuTLS could have falsely accepted certificates when using OCSP (GNUTLS-SA-2016-3, bsc#999646, CVE-2016-7444)
  • GnuTLS could have suffered from 100% CPU load DoS attacks by using SSL alert packets during the handshake (bsc#1005879, CVE-2016-8610)